Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MissingPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingPropertyException

    public class MissingPropertyException
    extends GroovyRuntimeException

An exception occurred if a dynamic property dispatch fails with an unknown property. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

Authors:
  James Strachan

Version:
  \$Revision: 18430 \$

Field Summary
`static Object` | `MPE`

Constructor Summary
`MissingPropertyException(String property, Class type)`
`MissingPropertyException(String property, Class type, Throwable t)`
`MissingPropertyException(String message)`
`MissingPropertyException(String message, String property, Class type)`

Method Summary
`String` | `getMessageWithoutLocationText()`
`String` | `getProperty()` @return the name of the property that could not be found
`Class` | `getType()` @return The type on which the property was attempted to be called

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### MPE

    public static final Object MPE

Constructor Detail

### MissingPropertyException

    public MissingPropertyException(String property, Class type)

### MissingPropertyException

    public MissingPropertyException(String property, Class type, Throwable t)

### MissingPropertyException

    public MissingPropertyException(String message)

### MissingPropertyException

    public MissingPropertyException(String message, String property, Class type)

Method Detail

### getMessageWithoutLocationText

    public String getMessageWithoutLocationText()

### getProperty

    public String getProperty()

  Returns:
    the name of the property that could not be found

### getType

    public Class getType()

  Returns:
    The type on which the property was attempted to be called

Copyright © 2003-2010 The Codehaus. All rights reserved.